> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/manage-digital-cards/manage-digital-card-lcm.md).

# デジタルカードの LCM を管理する

## 概要

デジタルウォレットアプリケーションで NFC Wallet SDK を使用して、デジタルカードのライフサイクル（LCM）を管理します。

主なユースケース：

* デジタルウォレットアプリケーションからデジタルカードを削除する

{% hint style="info" %}
このセクションでは、デジタルウォレットアプリケーションから開始される LCM アクションについて説明します。イシュア側のバックエンドから、TSP を介してデジタルカードの LCM を直接開始することもできます。
{% endhint %}

## SDK 統合

使用する `DigitalCardManager.manage` を実行するために **LCM** デジタルカードに対するアクション。

対応しているアクション：

* `.delete`
* `.suspend`
* `.resume`

{% hint style="info" %}
〜の変更は **NFC Walletバックエンド** 〜にはすぐには表示されません **デジタルウォレットアプリケーション**.

デジタルカードの状態を同期するためにプッシュ通知を送信します。参照： [プッシュ通知の処理](/nfc-wallet-sdk-ios/ja/get-started/configuration/4.-push-notifications/handle-push-notifications.md).
{% endhint %}

### カードを削除する

カードを削除すると、デジタルウォレットアプリケーションから完全に削除されます。

{% code title="カードを削除" %}

```swift
func deleteCard(card: DigitalCard) async {
  do {
      _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .delete)
  } catch {
    // エラーハンドリング
  }
}
```

{% endcode %}

### カードを一時停止する

一時停止されたカードは支払いに使用できません。

{% code title="カードを一時停止" %}

```swift
func suspendCard(card: DigitalCard) async {
    do {
        _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .suspend)
    } catch {
        // エラーハンドリング
    }
}
```

{% endcode %}

### カードを再開する

一時停止されたカードを再開すると、その状態はアクティブに変わります。その後、支払いに使用できます。

{% code title="カードを再開" %}

```swift
func resumeCard(card: DigitalCard) async {
  do {
      _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .resume)
  } catch {
      // エラーハンドリング
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/manage-digital-cards/manage-digital-card-lcm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
